; PILOT Script
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.


if({BaseYearTransit}==0 || NETW._CNT=1 || mat2.count=0 || mat3.count=0)
; End of PILOT Script

; Script for program MATRIX in file "C:\Projects\Talahassee\TRANSITMODELTIERA\APPLICATIONS\STMAT00H.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="C:\Projects\Talahassee\TRANSITMODELTIERA\APPLICATIONS\STMAT00A.PRN"
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2ST_{alt}{year}.MAT",
MO=1-8,
                NAME=PKStationTAZ_pnrb,PKParkCost_pnrb,PKTermTimePNR,PKTermTimeKNR,
                     OPStationTAZ_pnrb,OPParkCost_pnrb,OPTermTimePNR,OPTermTimeKNR


Zones={zonesa}
mw[1]=0
mw[2]=0
mw[3]=0
mw[4]=0
mw[5]=0
mw[6]=0
mw[7]=0
mw[8]=0

ENDRUN


; PILOT Script
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.


Else
; End of PILOT Script

; Script for program PUBLIC TRANSPORT in file "C:\Projects\Talahassee\TransitModelTierA\APPLICATIONS\STPTR00K.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=PUBLIC TRANSPORT PRNFILE="{SCENARIO_DIR}\output\STPTR00I2.PRN" MSG='pnr-bus stop to stop file'
FILEI ROUTEI[1] = "{SCENARIO_DIR}\output\TPATHPK3_{alt}{year}.RTE"
FILEI NETI = "{SCENARIO_DIR}\output\PKAuto.NET"
FILEO REPORTO = "{SCENARIO_DIR}\output\STPTR00J2.PRN"
FILEO STOP2STOPO = "{SCENARIO_DIR}\output\ST2STPK3_{alt}{year}.DBF",
     ACCUMULATE=firstlast, MODES=21,23,31,33, N={NODEMIN}-99999

PARAMETERS NOROUTEERRS=99999999, NOROUTEMSGS=0,USERCLASSES=1,HDWAYPERIOD=1,
           TRIPSIJ[1]=10

ENDRUN


; Script for program MATRIX in file "C:\Projects\Talahassee\TransitModelTierA\APPLICATIONS\STMAT00A.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="{SCENARIO_DIR}\output\STMAT00A.PRN" MSG='Write out station zone, parking cost and terminal time to matrix'
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2STPK_bus_{alt}{year}.MAT",
 MO=1,21-24, NAME=FromStation_pnrb,StationTAZ_pnrb,PKParkCost_pnrb,PKTermtimpnr,PKTermtimknr
FILEI LOOKUPI[1] = "{SCENARIO_DIR}\output\STATION_{alt}{year}.DAT"
FILEI MATI[1] = "{SCENARIO_DIR}\output\ST2STPK3_{alt}{year}.DBF",
 PATTERN=IJM:V FIELDS=I,J,0,FROMNODE

PAR ZONES={ZONESA} zonemsg=100

;STATION PARKING COST INTO A LOOKUP TABLE - station, statnumber, spaces,pnrterm,knrterm,nearestzone(distance),nearestzone(statdata input),ampnrcost,mdpnrcost

LOOKUP LOOKUPI=1,
  NAME=STATIONS,
  LOOKUP[1]=2, RESULT=3,; STATION ZONE
  LOOKUP[2]=2, RESULT=6,; Peak Period Pakring Cost
  LOOKUP[3]=2,result=8, ; PNR terminal time
  LOOKUP[4]=2,result=9, ; KNR terminal time
  FAIL=0

  MW[1]=MI.1.1

JLOOP
 ;FIRST FIGURE OUT THE STATION EQUIVALENT FOR EACH CELL, 0 IF NO MATCH
 ;NEXT, ASSIGN THE STATION EQUIVALENT FOR EACH CELL TO A WORK MATRIX
  STATZONE1=STATIONS(1,MW[1][J],0)
  PARKINGCOST1=STATIONS(2,MW[1][J],0)
  termtimpnr=stations(3,MW[1][j],0)
  termtimknr=stations(4,MW[1][j],0)
  MW[21][J]=STATZONE1
  MW[22][J]=PARKINGCOST1
  MW[23][j]=termtimpnr
  MW[24][j]=termtimknr

; If no station for a zone, write 0 as the station
 IF(MW[21][J] == 0) MW[1][J]=0

ENDJLOOP

ENDRUN


; Script for program PUBLIC TRANSPORT in file "C:\Projects\Talahassee\TransitModelTierA\APPLICATIONS\STPTR00O.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=PUBLIC TRANSPORT PRNFILE="{SCENARIO_DIR}\output\STPTR00Q2.PRN" MSG='pnr-bus stop to stop file'
FILEI ROUTEI[1] = "{SCENARIO_DIR}\output\TPATHOP3_{alt}{year}.RTE"
FILEI NETI = "{SCENARIO_DIR}\output\OPAuto.NET"
FILEO REPORTO = "{SCENARIO_DIR}\output\STPTR00R2.PRN"
FILEO STOP2STOPO = "{SCENARIO_DIR}\output\ST2STOP3_{alt}{year}.DBF",
     ACCUMULATE=firstlast, MODES=21,23,31,33, N={NODEMIN}-99999

PARAMETERS NOROUTEERRS=99999999, NOROUTEMSGS=0,USERCLASSES=1,HDWAYPERIOD=2,
           TRIPSIJ[1]=10

ENDRUN


; Script for program MATRIX in file "C:\Projects\Talahassee\TransitModelTierA\APPLICATIONS\STMAT00D.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="{SCENARIO_DIR}\output\STMAT00C.PRN" MSG='Write out station zone, parking cost and terminal time to matrix'
FILEI LOOKUPI[1] = "{SCENARIO_DIR}\output\STATION_{alt}{year}.DAT"
FILEI MATI[1] = "{SCENARIO_DIR}\output\ST2STOP3_{alt}{year}.DBF",
 PATTERN=IJM:V FIELDS=I,J,0,FROMNODE
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2STOP_bus_{alt}{year}.MAT",
 MO=1,21-24, NAME=FromStation_pnrb,StationTAZ_pnrb,OPParkCost_pnrb,OPTermtimpnr,OPTermtimknr

PAR ZONES={ZONESA} zonemsg=100

; STATION PARKING COST INTO A LOOKUP TABLE
;station, statnumber, spaces,pnrterm,knrterm,nearestzone(distance),nearestzone(statdata input),ampnrcost,mdpnrcost

LOOKUP LOOKUPI=1,
  NAME=STATIONS,
  LOOKUP[1]=2, RESULT=3,; STATION ZONE
  LOOKUP[2]=2, RESULT=7,; op parking cost
  LOOKUP[3]=2, result=8, ; pnr terminal time
  LOOKUP[4]=2, result=9, ; knr terminal time
  FAIL=0

  MW[1]=MI.1.1

JLOOP
 ;FIRST FIGURE OUT THE STATION EQUIVALENT FOR EACH CELL, 0 IF NO MATCH
 ;NEXT, ASSIGN THE STATION EQUIVALENT FOR EACH CELL TO A WORK MATRIX
  STATZONE1=STATIONS(1,MW[1][J],0)
  PARKINGCOST1=STATIONS(2,MW[1][J],0)
  termtimpnr=stations(3,MW[1][j],0)
  termtimknr=stations(4,MW[1][j],0)

  MW[21][J]=STATZONE1
  MW[22][J]=PARKINGCOST1
  MW[23][j]=termtimpnr
  MW[24][j]=termtimknr

  ; If no station for a zone, write 0 as the station
  IF(MW[21][J] == 0) MW[1][J]=0

ENDJLOOP

ENDRUN


; Script for program MATRIX in file "C:\Projects\Talahassee\TransitModelTierA\APPLICATIONS\STMAT00G.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="{SCENARIO_DIR}\output\STMAT00E.PRN" MSG='STATION TO STATION MATRIX'
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2ST_{alt}{year}.MAT",
 MO=1-8,NAME=PKStationTAZ_pnrb,PKParkCost_pnrb,PKTermTimePNR,PKTermTimeKNR,
              OPStationTAZ_pnrb,OPParkCost_pnrb,OPTermTimePNR,OPTermTimeKNR

FILEI MATI[3] = "{SCENARIO_DIR}\output\ST2STOP_bus_{alt}{year}.MAT"
FILEI MATI[1] = "{SCENARIO_DIR}\output\ST2STPK_bus_{alt}{year}.MAT"

zonemsg=100

; pull out only station zone number
FILLMW MW[1] =MI.1.2   ; pk pnr-transit    Station TAZ
FILLMW MW[2] =MI.1.3   ;                   Parking Cost
FILLMW MW[3] =MI.1.4   ;                  PNR Terminal Time
FILLMW MW[4] =MI.1.5   ;                   KNR Terminal Time
FILLMW MW[5] =MI.3.2   ; op pnr-transit
FILLMW MW[6] =MI.3.3
FILLMW MW[7] =MI.3.4
FILLMW MW[8] =MI.3.5

ENDRUN


; PILOT Script
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.


Endif
; End of PILOT Script

