*
*
**********************************************************
* UserProgs.rsc
*
* Application Manager Description of User programs
*
**********************************************************
*
*****
#TrDel
B 
 &FILES
 1
 0,"Data File     ","*  ",1,DAT,"      ",0
*
 &OPTION
 #G1:Pausing
 1:P        1 F
 2:C        1 T
 &OPTHLP
 1:Pause for verification of deletion process
 2:Continue, without verification
*
 &COMLIN
 1: IO
 &END
*******
#TrCopy
B
 &FILES
 1 1
 0,"Data File     ","*  ",1,DAT,"      ",0
 0,"Data File     ","*  ",1,DAT,"      ",0
 &OPTION
 #G1:Pausing
 1:P        1 F
 2:C        1 T
 &OPTHLP
 1:Pause for verification of copy process
 2:Continue, without verification
*
 &COMLIN
 1: IUO
 &END
*******

**************************************************
*
* TEMPLATE FOR MORE PROGRAMS
*
**************************************************
#PROGNAME

 &FILES
 1 1
 0,"              ","CTL",1,MOR,"      ",0
 0,"Report File   ","PRN",1,MOR,"OPRN  ",0
*
 &PARAM
*
*           Required Keyword (T,F)
*           . Type (R, I, C)
*           . .Arrsize
*           . .. Size N
*           . .. .
*           . .. .
 1:KEYWOR   T InnNN DEFAULT      MIN          MAX
*
* Help text can be given in coloumns 4 to 93
*
 &PARHLP
 1:PARAM HELP TEXT FOR KEYWORD 1
*
* Example text can be given in coloumns 4 to 53
*
 &PAREG
 1:PARAM EXAMPLE TEXT FOR KEYWORD 1
 &OPTION
 1:KEYWOR     DEFAULT
 &OPTHLP
 1:OPTION HELP TEXT FOR OPTION KEYWORD 1
 &END
 &COMLIN
 1:POIU
 &END

#CRYSTAL
B 
 &FILES
 2 1

 0,"DBF File 1    ","DBF",0,CRY,"      ",0
 1,"DBF File 2    ","DBF",0,CRY,"      ",0
 0,"Report File   ","RPT",0,CRY,"      ",0
*


#TESTNUM 
* Example from the documentation
 &FILES 
 1 1 
 0,"Input Numbers ","*  ",1,DAT
 0,"Output Numbers","DAT",1,DAT
* 
 &PARAM 
 1:NUM      F I     10           0            30000
 2:REPEAT   F I     1            1            100
 &PARHLP
 1:Factor or number to add
 2:Repeat printing of result
 &PAREG
 1:29
 2:1
* 
 &OPTION 
 #G1:Action to Perform
 1:A        1FT
 2:M        1FF
 3:P        1FF
 &OPTHLP
 1:Add a Number 
 2:Multiply with factor
 3:Show result as percentage
* 
 &COMLINE 
 1: OPIU
 &END 
*
*

#AUTOCON
* SERPM6 Auto access connector program
 &FILES
 0 0
*
 &OPTION
 #G1:Choose period
 1:AM       2FT
 2:MD       2FF
 &OPTHLP
 1:- Peak period
 2:- Offpeak period
*
 &COMLINE
 1: O
 &END
*
*