; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="{SCENARIO_DIR}\output\MCMAT00H.PRN" MSG='Combine trip tables for assignment'
FILEO MATO[3] = "{SCENARIO_DIR}\output\MODEOUT_{alt}{year}.MAT",
mo=1-9,21-29,41-49, name=HBWDA,HBWCP,HBWCX,HBWWalkBus,HBWWalkPrj,HBWPNRBus,HBWPNRPrj,HBWKNRBus,HBWKNRPrj,
                         HBODA,HBOCP,HBOCX,HBOWalkBus,HBOWalkPrj,HBOPNRBus,HBOPNRPrj,HBOKNRBus,HBOKNRPrj,
                         NHBDA,NHBCP,NHBCX,NHBWalkBus,NHBWalkPrj,NHBPNRBus,NHBPNRPrj,NHBKNRBus,NHBKNRPrj,DEC=27*D
FILEO MATO[2] = "{SCENARIO_DIR}\output\TRANSITTAB_{alt}{year}.MAT",
 MO=131-136,141-146, DEC=12*s,
 NAME=PKWlkBus,PKWlkPrj,PKPNRBus,PKPNRPrj,PKKNRBus,PKKNRPrj,
      OPWlkBus,OPWlkPrj,OPPNRBus,OPPNRPrj,OPKNRBus,OPKNRPrj
FILEO MATO[1] = "{SCENARIO_DIR}\output\HWYTTAB_TMP.MAT",
 MO=111-116, NAME=DRIVEALONE,CARPOOL,TRUCKTAXI,EETRIPS,SOVIETRIPS,HOVIETRIPS, DEC=6*s

FILEI MATI[5] = "{SCENARIO_DIR}\output\EETABLE_{Alt}{year}.MAT"
FILEI MATI[4] = "{SCENARIO_DIR}\output\PSNTRIPS_{ALT}{YEAR}.MAT"
FILEI MATI[3] = "{SCENARIO_DIR}\output\NHB_{alt}{year}.MAT"
FILEI MATI[2] = "{SCENARIO_DIR}\output\HBO_{alt}{year}.MAT"
FILEI MATI[1] = "{SCENARIO_DIR}\output\HBW_{alt}{year}.MAT"

PAR ZONEMSG=100
DistributeINTRASTEP ProcessID="FSUTMSDist", ProcessList=1-3

FILLMW MW[1]  = MI.1.1,2,3,4,5,6,7,8,9   ; - HBW trips
FILLMW MW[21] = MI.2.1,2,3,4,5,6,7,8,9   ; - HBNW trips
FILLMW MW[41] = MI.3.1,2,3,4,5,6,7,8,9   ; - NHB trips


; DRIVE ALONE
MW[111]=((MI.1.1+MI.1.1.T)/1.0+
       (MI.2.1+MI.2.1.T)/1.0+
       (MI.3.1+MI.3.1.T)/1.0)*0.5
; Shared Ride
MW[112]=((MI.1.2+MI.1.2.T)/2.0+
       (MI.2.2+MI.2.2.T)/2.0+
       (MI.3.2+MI.3.2.T)/2.0+
       (MI.1.3+MI.1.3.T)/{hbw3p}+
       (MI.2.3+MI.2.3.T)/{hbo3p}+
       (MI.3.3+MI.3.3.T)/{nhb3p})*0.5
 ; TRUCKTAXI
MW[113]=((MI.4.4+MI.4.4.T))*0.50
; EETRIPS
MW[114]=MI.5.1
; SOV IETRIPS
MW[115]=((MI.4.5+MI.4.5.T)*0.50)*0.50
;HOV IETRIPS
MW[116]=((MI.4.5+MI.4.5.T)*0.50)*0.50

; PEAK TRANSIT
MW[131]=MW[4]
MW[132]=MW[5]
MW[133]=MW[6]
MW[134]=MW[7]
MW[135]=MW[8]
MW[136]=MW[9]

; OFF-PEAK TRANSIT
MW[141]=MW[24] + MW[44]
MW[142]=MW[25] + MW[45]
MW[143]=MW[26] + MW[46]
MW[144]=MW[27] + MW[47]
MW[145]=MW[28] + MW[48]
MW[146]=MW[29] + MW[49]

ENDRUN
