; PILOT Script
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.


DistributeMultiStep ProcessID="FSUTMSdist" ProcessNum=1
; End of PILOT Script

; Script for program PUBLIC TRANSPORT in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STPTR00K.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=PUBLIC TRANSPORT PRNFILE="{SCENARIO_DIR}\output\STPTR00I2.PRN" MSG='pnr-bus stop to stop file'
FILEI ROUTEI[1] = "{SCENARIO_DIR}\output\TPATHAM3_{Alt}{year}.RTE"
FILEI NETI = "{SCENARIO_DIR}\output\PKauto.NET"
FILEO REPORTO = "{SCENARIO_DIR}\output\STPTR00J2.PRN"
FILEO STOP2STOPO = "{SCENARIO_DIR}\output\ST2STPK3_{alt}{year}.DBF",
     ACCUMULATE=firstlast, MODES=21,23, N={NODEMIN}-99999

PARAMETERS NOROUTEERRS=99999999, NOROUTEMSGS=99999999,USERCLASSES=1,HDWAYPERIOD=1,
           TRIPSIJ[1]=10

ENDRUN


; Script for program MATRIX in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STMAT00A.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="{SCENARIO_DIR}\output\STMAT00A.PRN" MSG='Write out station zone, parking cost and terminal time to matrix'
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2STPK_bus_{alt}{year}.MAT",
 MO=1,21-24,
 NAME=FromStation_pnrb,StationTAZ_pnrb,PKParkCost_pnrb,termtimpnr,termtimknr
FILEI LOOKUPI[1] = "{SCENARIO_DIR}\output\STATION_{alt}{year}.DAT"
FILEI MATI[1] = "{SCENARIO_DIR}\output\ST2STPK3_{alt}{year}.DBF",
 PATTERN=IJM:V FIELDS=I,J,0,FROMNODE

PAR ZONES={ZONESA} zonemsg=100

;STATION PARKING COST INTO A LOOKUP TABLE - station, statnumber, spaces,pnrterm,knrterm,nearestzone(distance),nearestzone(statdata input),ampnrcost,mdpnrcost

  LOOKUP LOOKUPI=1,
     NAME=STATIONS,
     LOOKUP[1]=2,
     RESULT=3,; STATION ZONE
     LOOKUP[2]=2, 
     RESULT=6,; Peak Period Parking Cost
     LOOKUP[3]=2,result=8,
     LOOKUP[4]=2,result=9,
     FAIL=0

     MW[1]=MI.1.1 

  JLOOP
 ;FIRST FIGURE OUT THE STATION EQUIVALENT FOR EACH CELL, 0 IF NO MATCH
 ;NEXT, ASSIGN THE STATION EQUIVALENT FOR EACH CELL TO A WORK MATRIX
    STATZONE1=STATIONS(1,MW[1][J],0)
    PARKINGCOST1=STATIONS(2,MW[1][J],0)
    termtimpnr=stations(3,mw[1][j],0)
    termtimknr=stations(4,mw[1][j],0)
    MW[21][J]=STATZONE1
    MW[22][J]=PARKINGCOST1
    MW[23][j]=termtimpnr
    MW[24][j]=termtimknr

  ; If no station for a zone, write 0 as the station 
  IF(MW[21][J] == 0) MW[1][J]=0

  ENDJLOOP

ENDRUN


; PILOT Script
EndDistributeMultiStep

DistributeMultiStep ProcessID="FSUTMSdist" ProcessNum=2

if ({IsProjectMode}>0)
; End of PILOT Script

; Script for program PUBLIC TRANSPORT in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STPTR00M.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=PUBLIC TRANSPORT PRNFILE="{SCENARIO_DIR}\output\STPTR00M2.PRN" MSG='pnr-prj stop to stop file'
FILEI ROUTEI[2] = "{SCENARIO_DIR}\output\TPATHAM4_{Alt}{year}.RTE"
FILEI NETI = "{SCENARIO_DIR}\output\PKauto.NET"
FILEO REPORTO = "{SCENARIO_DIR}\output\STPTR00N2.PRN"
FILEO STOP2STOPO = "{SCENARIO_DIR}\output\ST2STPK4_{alt}{year}.DBF",
     ACCUMULATE=firstlast, MODES=21-27, N={NODEMIN}-99999

PARAMETERS NOROUTEERRS=99999999, NOROUTEMSGS=99999999,USERCLASSES=2,HDWAYPERIOD=1,
           TRIPSIJ[2]=10

ENDRUN


; Script for program MATRIX in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STMAT00C.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="{SCENARIO_DIR}\output\STMAT00B.PRN" MSG='Write out station zone, parking cost and terminal time to matrix'
FILEI LOOKUPI[1] = "{SCENARIO_DIR}\output\STATION_{alt}{year}.DAT"
FILEI MATI[1] = "{SCENARIO_DIR}\output\ST2STPK4_{alt}{year}.DBF",
 PATTERN=IJM:V FIELDS=I,J,0,FROMNODE
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2STPK_prj_{alt}{year}.MAT",
 MO=1,21-24,
 NAME=FromStation_pnrb,StationTAZ_pnrb,PKParkCost_pnrb,termtimpnr,termtimknr

PAR ZONES={ZONESA} zonemsg=100

; STATION PARKING COST INTO A LOOKUP TABLE
;station, statnumber, spaces,pnrterm,knrterm,nearestzone(distance),nearestzone(statdata input),ampnrcost,mdpnrcost

  LOOKUP LOOKUPI=1,
     NAME=STATIONS,
     LOOKUP[1]=2,RESULT=3,; STATION ZONE
     LOOKUP[2]=2,RESULT=6,; Peak Period Pakring Cost
     LOOKUP[3]=2,RESULT=8,
     LOOKUP[4]=2,RESULT=9,
     FAIL=0

     MW[1]=MI.1.1

  JLOOP
 ;FIRST FIGURE OUT THE STATION EQUIVALENT FOR EACH CELL, 0 IF NO MATCH
 ;NEXT, ASSIGN THE STATION EQUIVALENT FOR EACH CELL TO A WORK MATRIX
     STATZONE1=STATIONS(1,MW[1][J],0)
     PARKINGCOST1=STATIONS(2,MW[1][J],0)
     termtimpnr=stations(3,mw[1][j],0)
     termtimknr=stations(4,mw[1][j],0)

     MW[21][J]=STATZONE1
     MW[22][J]=PARKINGCOST1
     MW[23][j]=termtimpnr
     MW[24][j]=termtimknr

    ; If no station for a zone, write 0 as the station 
    IF(MW[21][J] == 0) MW[1][J]=0          
  ENDJLOOP

ENDRUN


; PILOT Script

else
; End of PILOT Script

; Script for program MATRIX in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STMAT00B.S"

; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2STPK_prj_{alt}{year}.MAT",
 MO=1-9,
 NAME=FromStation_pnrb,StationTAZ_pnrb,PKParkCost_pnrb,
      FromStation_knrb,StationTAZ_knrb,PKParkCost_knrb,
      FromStation_cbdknrb,StationTAZ_cbdknrb,PKParkCost_cbdknrb

PAR ZONES={ZONESA}, ZONEMSG=100


LOOP WW=1,9
  MW[WW]=0
ENDLOOP

ENDRUN


; PILOT Script
endif

EndDistributeMultiStep

DistributeMultiStep ProcessID="FSUTMSdist" ProcessNum=3


; End of PILOT Script

; Script for program PUBLIC TRANSPORT in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STPTR00O.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=PUBLIC TRANSPORT PRNFILE="{SCENARIO_DIR}\output\STPTR00Q2.PRN" MSG='pnr-bus stop to stop file'
FILEI ROUTEI[1] = "{SCENARIO_DIR}\output\TPATHMD3_{Alt}{year}.RTE"
FILEI NETI = "{SCENARIO_DIR}\output\OPauto.NET"
FILEO REPORTO = "{SCENARIO_DIR}\output\STPTR00R2.PRN"
FILEO STOP2STOPO = "{SCENARIO_DIR}\output\ST2STOP3_{alt}{year}.DBF",
     ACCUMULATE=firstlast, MODES=21,23, N={NODEMIN}-99999

PARAMETERS NOROUTEERRS=99999999, NOROUTEMSGS=99999999,USERCLASSES=1,HDWAYPERIOD=2,
           TRIPSIJ[1]=10

ENDRUN


; Script for program MATRIX in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STMAT00D.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="{SCENARIO_DIR}\output\STMAT00C.PRN" MSG='Write out station zone, parking cost and terminal time to matrix'
FILEI LOOKUPI[1] = "{SCENARIO_DIR}\output\STATION_{alt}{year}.DAT"
FILEI MATI[1] = "{SCENARIO_DIR}\output\ST2STOP3_{alt}{year}.DBF",
 PATTERN=IJM:V FIELDS=I,J,0,FROMNODE
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2STOP_bus_{alt}{year}.MAT",
 MO=1,21-24,
 NAME=FromStation_pnrb,StationTAZ_pnrb,OPParkCost_pnrb,termtimpnr,termtimknr
      
PAR ZONES={ZONESA} zonemsg=100

; STATION PARKING COST INTO A LOOKUP TABLE
;station, statnumber, spaces,pnrterm,knrterm,nearestzone(distance),nearestzone(statdata input),ampnrcost,mdpnrcost

  LOOKUP LOOKUPI=1,
     NAME=STATIONS,
     LOOKUP[1]=2, RESULT=3,; STATION ZONE
     LOOKUP[2]=2, RESULT=7,
     LOOKUP[3]=2, result=8,
     LOOKUP[4]=2, result=9,; Off-Peak Period Parking Cost
     FAIL=0

     MW[1]=MI.1.1

  JLOOP
 ;FIRST FIGURE OUT THE STATION EQUIVALENT FOR EACH CELL, 0 IF NO MATCH
 ;NEXT, ASSIGN THE STATION EQUIVALENT FOR EACH CELL TO A WORK MATRIX
     STATZONE1=STATIONS(1,MW[1][J],0)
     PARKINGCOST1=STATIONS(2,MW[1][J],0)
     termtimpnr=stations(3,mw[1][j],0)
     termtimknr=stations(4,mw[1][j],0)

     MW[21][J]=STATZONE1
     MW[22][J]=PARKINGCOST1
     MW[23][j]=termtimpnr
     MW[24][j]=termtimknr

     ; If no station for a zone, write 0 as the station
     IF(MW[21][J] == 0) MW[1][J]=0

  ENDJLOOP

ENDRUN


; PILOT Script

EndDistributeMultiStep

DistributeMultiStep ProcessID="FSUTMSdist" ProcessNum=4


if ({IsProjectMode}>0)
; End of PILOT Script

; Script for program PUBLIC TRANSPORT in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STPTR00Q.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=PUBLIC TRANSPORT PRNFILE="{SCENARIO_DIR}\output\STPTR00U2.PRN" MSG='pnr-prj stop to stop file'
FILEI ROUTEI[2] = "{SCENARIO_DIR}\output\TPATHMD4_{Alt}{year}.RTE"
FILEI NETI = "{SCENARIO_DIR}\output\OPauto.NET"
FILEO REPORTO = "{SCENARIO_DIR}\output\STPTR00V2.PRN"
FILEO STOP2STOPO = "{SCENARIO_DIR}\output\ST2STOP4_{alt}{year}.DBF",
     ACCUMULATE=firstlast, MODES=21-27, N={NODEMIN}-99999

PARAMETERS NOROUTEERRS=99999999, NOROUTEMSGS=99999999,USERCLASSES=2,HDWAYPERIOD=2,
           TRIPSIJ[2]=10

ENDRUN


; Script for program MATRIX in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STMAT00E.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="{SCENARIO_DIR}\output\STMAT00D.PRN" MSG='Write out station zone, parking cost and terminal time to matrix'
FILEI LOOKUPI[1] = "{SCENARIO_DIR}\output\STATION_{alt}{year}.DAT"
FILEI MATI[1] = "{SCENARIO_DIR}\output\ST2STOP4_{alt}{year}.DBF",
 PATTERN=IJM:V FIELDS=I,J,0,FROMNODE
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2STOP_prj_{alt}{year}.MAT",
 MO=1,21-24,
 NAME=FromStation_pnrb,StationTAZ_pnrb,OPParkCost_pnrb,termtimpnr,termtimknr
  
PAR ZONES={ZONESA} zonemsg=100

; STATION PARKING COST INTO A LOOKUP TABLE
;station, statnumber, spaces,pnrterm,knrterm,nearestzone(distance),nearestzone(statdata input),ampnrcost,mdpnrcost

  LOOKUP LOOKUPI=1,
      NAME=STATIONS,
      LOOKUP[1]=2, RESULT=3,; STATION ZONE
      LOOKUP[2]=2, RESULT=7,; Off-Peak Period Pakring Cost
      LOOKUP[3]=2, result=8,
      LOOKUP[4]=2, result=9,
      FAIL=0

      MW[1]=MI.1.1 

  JLOOP
 ;FIRST FIGURE OUT THE STATION EQUIVALENT FOR EACH CELL, 0 IF NO MATCH
 ;NEXT, ASSIGN THE STATION EQUIVALENT FOR EACH CELL TO A WORK MATRIX
      STATZONE1=STATIONS(1,MW[1][J],0)
      PARKINGCOST1=STATIONS(2,MW[1][J],0)
      termtimpnr=stations(3,mw[1][j],0)
      termtimknr=stations(4,mw[1][j],0)

      MW[21][J]=STATZONE1
      MW[22][J]=PARKINGCOST1
      MW[23][j]=termtimpnr
      MW[24][j]=termtimknr

      ; If no station for a zone, write 0 as the station
      IF(MW[21][J] == 0) MW[1][J]=0      

  ENDJLOOP

ENDRUN


; PILOT Script


else
; End of PILOT Script

; Script for program MATRIX in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STMAT00F.S"

; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2STOP_prj_{alt}{year}.MAT",
 MO=1-9,
 NAME=FromStation_pnrb,StationTAZ_pnrb,OPParkCost_pnrb,
      FromStation_knrb,StationTAZ_knrb,OPParkCost_knrb,
      FromStation_cbdknrb,StationTAZ_cbdknrb,OPParkCost_cbdknrb

PAR ZONES={ZONESA}, ZONEMSG=100


LOOP WW=1,9
  MW[WW]=0
ENDLOOP


ENDRUN


; PILOT Script
endif

EndDistributeMultiStep

Wait4Files Files=FSUTMSdist1.script.end, FSUTMSdist2.script.end, FSUTMSdist3.script.end, FSUTMSdist4.script.end, PrintFiles=SAVE






; End of PILOT Script

; Script for program MATRIX in file "D:\TransitModelTierBC_Delivery\APPLICATIONS\STMAT00G.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="{SCENARIO_DIR}\output\STMAT00E.PRN" MSG='STATION TO STATION MATRIX'
FILEO MATO[1] = "{SCENARIO_DIR}\output\ST2ST_{alt}{year}.MAT",
 MO=1-16,NAME=PKStationTAZ_pnrb,PKParkCost_pnrb,termtimpnr,termtimknr,
              PKStationTAZ_pnrp,PKParkCost_pnrp,termtimpnr,termtimknr,
              OPStationTAZ_pnrb,OPParkCost_pnrb,termtimpnr,termtimknr,
              OPStationTAZ_pnrp,OPParkCost_pnrp,termtimpnr,termtimknr

FILEI MATI[4] = "{SCENARIO_DIR}\output\ST2STOP_prj_{alt}{year}.MAT"
FILEI MATI[3] = "{SCENARIO_DIR}\output\ST2STOP_bus_{alt}{year}.MAT"
FILEI MATI[2] = "{SCENARIO_DIR}\output\ST2STPK_prj_{alt}{year}.MAT"
FILEI MATI[1] = "{SCENARIO_DIR}\output\ST2STPK_bus_{alt}{year}.MAT"

zonemsg=100

; pull out only station zone number
FILLMW MW[1] =MI.1.2   ; pk pnr-bus Station TAZ
FILLMW MW[2] =MI.1.3   ;            Parking Cost
FILLMW MW[3] =MI.1.4   ;            PNR Terminal Time
FILLMW MW[4] =MI.1.5   ;            KNR Terminal Time     
FILLMW MW[5] =MI.2.2   ; pk pnr-project
FILLMW MW[6] =MI.2.3
FILLMW MW[7] =MI.2.4
FILLMW MW[8] =MI.2.5
FILLMW MW[9] =MI.3.2   ; op pnr-bus
FILLMW MW[10] =MI.3.3
FILLMW MW[11] =MI.3.4
FILLMW MW[12] =MI.3.5
FILLMW MW[13] =MI.4.2  ; op pnr-project
FILLMW MW[14] =MI.4.3
FILLMW MW[15] =MI.4.4
FILLMW MW[16] =MI.4.5

ENDRUN


