; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=PUBLIC TRANSPORT PRNFILE="{SCENARIO_DIR}\output\TRPTR00G.PRN" MSG='Auto-Access Paths/Skims - off-peak'
FILEI NETI = "{SCENARIO_DIR}\output\unloaded2_{alt}{year}.net"
FILEI NTLEGI[4] = "{SCENARIO_DIR}\output\NTLEG12OP_{alt}{year}.NTL"
FILEI NTLEGI[3] = "{SCENARIO_DIR}\output\NTLEG11OP_{alt}{year}.NTL"
FILEI NTLEGI[1] = "{SCENARIO_DIR}\output\NTLEG1OP_{alt}{year}.NTL"
FILEO MATO[2] = "{SCENARIO_DIR}\output\TSKIMOP4_TMP.MAT",
  MO=1-15, NAME=WALKTIME,AutoTIME,SidewalkTime,BUSTIME,PBUSTIME,CIRCTIME,RAILTIME,COMRLTIME,OTHTIME,PRJTIME,XFER,IWAIT,XWAIT,FARE,TOTTIME
FILEO MATO[1] = "{SCENARIO_DIR}\output\TSKIMOP3_TMP.MAT",
  MO=1-15, NAME=WALKTIME,AutoTIME,SidewalkTIME,BUSTIME,PBUSTIME,CIRCTIME,RAILTIME,COMRLTIME,OTHTIME,PRJTIME,XFER,IWAIT,XWAIT,FARE,TOTTIME
FILEO ROUTEO[2] = "{SCENARIO_DIR}\output\TPATHOP4_{alt}{year}.RTE",
  REPORTI={FromNode}, REPORTJ={ToNode}, TRACEI={FromNode}, TRACEJ={ToNode}
FILEO ROUTEO[1] = "{SCENARIO_DIR}\output\TPATHOP3_{alt}{year}.RTE",
  REPORTI={FromNode}, REPORTJ={ToNode}, TRACEI={FromNode}, TRACEJ={ToNode}
FILEO REPORTO = "{SCENARIO_DIR}\output\OPAuto.rpt"
FILEO NETO = "{SCENARIO_DIR}\output\OPAuto.NET"
FILEI NTLEGI[2] = "{SCENARIO_DIR}\Output\NTLEG2OP_{alt}{year}.NTL"
FILEI FACTORI[2] = "{SCENARIO_DIR}\output\AutoProj.FAC"
FILEI FACTORI[1] = "{SCENARIO_DIR}\output\AutoBus.FAC"
FILEI FAREI = "{CATALOG_DIR}\parameters\tfares.far"
FILEI SYSTEMI = "{CATALOG_DIR}\parameters\TSYSD.PTS"
FILEI LINEI[1] = "{SCENARIO_DIR}\INPUT\TROUTE_{YEAR}{ALT}.LIN"

;**************************************************************
;BEGIN POTENTIAL SCRIPT ADJUSTMENT
;**************************************************************
    ; OVERALL PARAMETERS
    PARAMETERS USERCLASSES=1-2,FARE=N, MAPSCALE={Units}, HDWAYPERIOD=2,
           NOROUTEERRS=999999, NOROUTEMSGS=999999,
           TRANTIME=LW.TRANTIME,
           TRANTIME[21]=LI.M21TIMEOP,
           TRANTIME[22]=LI.M22TIMEOP,
           TRANTIME[23]=LI.M23TIMEOP,
           TRANTIME[24]=LI.M24TIMEOP,
           TRANTIME[25]=LI.M25TIMEOP,
           TRANTIME[26]=LI.M26TIMEOP,
           TRANTIME[27]=LI.M27TIMEOP
         
;**************************************************************
;END POTENTIAL SCRIPT ADJUSTMENT
;**************************************************************

    PROCESS PHASE=LINKREAD
           LW.TRANTIME=LI.M21TIMEOP
           LW.WALKTIME=LI.WALKTIME
           LW.WALKDISTANCE=LI.ADJDISTANCE
           LW.DISTANCE=LI.DISTANCE
    ENDPROCESS

    PROCESS PHASE=DATAPREP

           ; Generate walk-access links
           GENERATE READNTLEGI=1
           ; Generate station-access links
           READ, FILE = "{SCENARIO_DIR}\OUTPUT\STATIONCONN_{ALT}{YEAR}.DAT"
           ; Generate auto-access links
           GENERATE READNTLEGI=2
    IF({isMicroCode} <> 0)
           ; Generate fixed-guideway to bus links
            GENERATE READNTLEGI=3
    ENDIF
           ; Generate CBD transfer links
           GENERATE READNTLEGI=4
    ENDPROCESS

;**************************************************************
;BEGIN POTENTIAL SCRIPT ADJUSTMENT
;**************************************************************

    PROCESS PHASE=SKIMIJ
           MW[1]=TIMEA(0,1)                                                              ; Walk time
           MW[2]=TIMEA(0,2)                                                              ; Auto time
           MW[3]=TIMEA(0,11)+TIMEA(0,12)                                                 ; Sidewalk time
           MW[4]=TIMEA(0,21)                                                               ; Local bus time
           MW[5]=TIMEA(0,22)                                                               ; Premium bus time
           MW[6]=TIMEA(0,23)                                                               ; Circulator time
           MW[7]=TIMEA(0,24)                                                               ; Light/Heavy Rail time
           MW[8]=TIMEA(0,25)                                                              ; Commuter Rail time
           MW[9]=TIMEA(0,26)                                                              ; Other mode time
           MW[10]=TIMEA(0,27)                                                              ; Project mode time
;**************************************************************
;END POTENTIAL SCRIPT ADJUSTMENT
;**************************************************************
   
    IF (BRDINGS(0,TMODES) > 0)
           MW[11]=BRDINGS(0,TMODES)-1                                                   ; Number of transfers
    ELSE
           MW[11]=0
    ENDIF
           MW[12]=IWAITA(0)                                                              ; Initial wait time
           MW[13]=XWAITA(0)                                                              ; Transfer wait time
           MW[14]=FAREA(0)                                                               ; Fare matrix
           MW[15]=TIMEA(0,ALLMODES)                                                      ; Time on all modes
    ENDPROCESS

ENDRUN
