; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=PUBLIC TRANSPORT PRNFILE="C:\TRANSITMODEL\APPLICATIONS\TRPTR00K.PRN" MSG='Walk-Access Paths/Skims - I-Drive'
FILEI NTLEGI[1] = "{SCENARIO_DIR}\output\NTLEG1OP_{alt}{year}.NTL"
FILEI NETI = "{SCENARIO_DIR}\output\TPNET00A.NET"
FILEI NTLEGI[4] = "{SCENARIO_DIR}\output\NTLEG12OP_{alt}{year}.NTL"
FILEI NTLEGI[3] = "{SCENARIO_DIR}\output\NTLEG11OP_{alt}{year}.NTL"
FILEO MATO[2] = "{SCENARIO_DIR}\output\TSKIMMD6_{alt}{year}.MAT",
  MO=1-15, NAME=WALKTIME,AutoTIME,SidewalkTime,BUSTIME,PBUSTIME,CIRCTIME,RAILTIME,COMRLTIME,OTHTIME,PRJTIME,XFER,IWAIT,XWAIT,FARE,TOTTIME
FILEO MATO[1] = "{SCENARIO_DIR}\output\TSKIMMD5_{alt}{year}.MAT",
  MO=1-15, NAME=WALKTIME,AutoTIME,SidewalkTIME,BUSTIME,PBUSTIME,CIRCTIME,RAILTIME,COMRLTIME,OTHTIME,PRJTIME,XFER,IWAIT,XWAIT,FARE,TOTTIME
FILEO LINEO = "{SCENARIO_DIR}\output\IDRwalk.lin"
FILEO NTLEGO = "{SCENARIO_DIR}\output\IDRwalk.ntl"
FILEO ROUTEO[2] = "{SCENARIO_DIR}\output\TPATHMD6_{alt}{year}.RTE",
  REPORTI={FromNode}, REPORTJ={ToNode}, TRACEI={FromNode}, TRACEJ={ToNode}
FILEO ROUTEO[1] = "{SCENARIO_DIR}\output\TPATHMD5_{alt}{year}.RTE",
  REPORTI={FromNode}, REPORTJ={ToNode}, TRACEI={FromNode}, TRACEJ={ToNode}
FILEO REPORTO = "{SCENARIO_DIR}\output\IDRwalk.rpt"
FILEO NETO = "{SCENARIO_DIR}\output\IDRWalk.NET"
FILEI FACTORI[2] = "{SCENARIO_DIR}\output\WalkProj.FAC"
FILEI FACTORI[1] = "{SCENARIO_DIR}\output\WalkBus.FAC"
FILEI FAREI = "{CATALOG_DIR}\Base\tfares.far"
FILEI SYSTEMI = "{CATALOG_DIR}\Base\System.PTS"
FILEI LINEI[1] = "{SCENARIO_DIR}\INPUT\TROUTE_{YEAR}{ALT}.LIN"

; OVERALL PARAMETERS
PARAMETERS USERCLASSES=1-2,FARE=N, MAPSCALE={Units}, HDWAYPERIOD=3,
           NOROUTEERRS=999999, NOROUTEMSGS=999999,
           TRANTIME=LW.TRANTIME,
           TRANTIME[21]=LI.M21TIMEOP,
           TRANTIME[22]=LI.M22TIMEOP,
           TRANTIME[23]=LI.M23TIMEOP,
           TRANTIME[24]=LI.M24TIMEOP,
           TRANTIME[25]=LI.M25TIMEOP,
           TRANTIME[26]=LI.M26TIMEOP,
           TRANTIME[27]=LI.M27TIMEOP,
           TRANTIME[31]=LI.M31TIMEOP,
           TRANTIME[32]=LI.M32TIMEOP,
           TRANTIME[33]=LI.M33TIMEOP,
           TRANTIME[34]=LI.M34TIMEOP,
           TRANTIME[35]=LI.M35TIMEOP,
           TRANTIME[36]=LI.M36TIMEOP,
           TRANTIME[37]=LI.M37TIMEOP,
           TRANTIME[41]=LI.M41TIMEOP,
           TRANTIME[42]=LI.M42TIMEOP,
           TRANTIME[43]=LI.M43TIMEOP,
           TRANTIME[44]=LI.M44TIMEOP,
           TRANTIME[45]=LI.M45TIMEOP,
           TRANTIME[46]=LI.M46TIMEOP,
           TRANTIME[47]=LI.M47TIMEOP,
           TRANTIME[51]=LI.M51TIMEOP,
           TRANTIME[52]=LI.M52TIMEOP,
           TRANTIME[53]=LI.M53TIMEOP,
           TRANTIME[54]=LI.M54TIMEOP,
           TRANTIME[55]=LI.M55TIMEOP,
           TRANTIME[56]=LI.M56TIMEOP,
           TRANTIME[57]=LI.M57TIMEOP,
           TRANTIME[61]=LI.M61TIMEOP,
           TRANTIME[62]=LI.M62TIMEOP,
           TRANTIME[63]=LI.M63TIMEOP,
           TRANTIME[64]=LI.M64TIMEOP,
           TRANTIME[65]=LI.M65TIMEOP,
           TRANTIME[66]=LI.M66TIMEOP,
           TRANTIME[67]=LI.M67TIMEOP

PROCESS PHASE=LINKREAD
 LW.TRANTIME=LI.M21TIMEOP
 LW.WALKTIME=LI.WALKTIME
 LW.WALKDISTANCE=LI.DISTANCE
 LW.DISTANCE=LI.DISTANCE
ENDPROCESS

PROCESS PHASE=DATAPREP

    ; Generate walk-access links
    GENERATE READNTLEGI=1
    ; Generate station-access links
    READ, FILE = "{SCENARIO_DIR}\OUTPUT\STATIONCONN_{ALT}{YEAR}.DAT"
    if ({isMicroCode} <> 0)
    ; Generate fixed-guideway to bus links
      GENERATE READNTLEGI=3
    endif
    ; Generate CBD transfer links
    GENERATE READNTLEGI=4

ENDPROCESS

PROCESS PHASE=SKIMIJ
  MW[1]=TIMEA(0,1)                                                              ; Walk time
  MW[2]=TIMEA(0,2)                                                              ; Auto time
  MW[3]=TIMEA(0,11)+TIMEA(0,12)                                                 ; Sidewalk time
  MW[4]=TIMEA(0,21)+TIMEA(0,31)+TIMEA(0,41)+TIMEA(0,51)+TIMEA(0,61)             ; Local bus time
  MW[5]=TIMEA(0,22)+TIMEA(0,32)+TIMEA(0,42)+TIMEA(0,52)+TIMEA(0,62)             ; Premium bus time
  MW[6]=TIMEA(0,23)+TIMEA(0,33)+TIMEA(0,43)+TIMEA(0,53)+TIMEA(0,63)             ; Circulator time
  MW[7]=TIMEA(0,24)+TIMEA(0,34)+TIMEA(0,44)+TIMEA(0,54)+TIMEA(0,64)             ; Light/Heavy Rail time
  MW[8]=TIMEA(0,25)+TIMEA(0,35)+TIMEA(0,45)+TIMEA(0,55)+TIMEA(0,65)             ; Commuter Rail time
  MW[9]=TIMEA(0,26)+TIMEA(0,36)+TIMEA(0,46)+TIMEA(0,56)+TIMEA(0,66)             ; Other mode time
  MW[10]=TIMEA(0,27)+TIMEA(0,37)+TIMEA(0,47)+TIMEA(0,57)+TIMEA(0,67)            ; Project mode time
  IF (BRDINGS(0,TMODES) > 0)
   MW[11]=BRDINGS(0,TMODES)-1                                                   ; Number of transfers
  ELSE
   MW[11]=0
  ENDIF
  MW[12]=IWAITA(0)                                                              ; Initial wait time
  MW[13]=XWAITA(0)                                                              ; Transfer wait time
  MW[14]=FAREA(0)                                                               ; Fare matrix
  MW[15]=TIMEA(0,ALLMODES)                                                      ; Time on all modes

ENDPROCESS

ENDRUN
