; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="C:\Copy of TransitModel\APPLICATIONS\MCMAT00P.PRN" MSG='Generate Total NWK Reports'
FILEI MATI[2] = "{SCENARIO_DIR}\output\mode_nwk_trn.mat"
FILEI MATI[1] = "{SCENARIO_DIR}\output\mode_nwk_hwy.mat"
FILEO PRINTO[2] = "{CATALOG_DIR}\CUBE\MC_HBNW1.TXT"
FILEO PRINTO[1] = "{CATALOG_DIR}\CUBE\MC_HBNW.TXT"

_TEXTH='METROPLAN      Volusia        Brevard        Ocala/Marion   Lake/Sumter    Total'
_TEXTT='LYNX           Votran         SpaceCoast     Suntran        Lake           Total'

;Highway trips
mw[1]=mi.1.1
mw[2]=mi.1.2
mw[3]=mi.1.3
mw[24]=mi.1.4
mw[25]=mi.1.5

;Transit trips
MW[4]=MI.2.1
MW[5]=MI.2.2
MW[6]=MI.2.3
MW[7]=MI.2.4
MW[8]=MI.2.5
MW[9]=MI.2.6

_num=_num+1
_z1=rowsum(1)
_z2=rowsum(2)
_z3=rowsum(3)
_z24=rowsum(24)
_z25=rowsum(25)

_z4=rowsum(4)
_z5=rowsum(5)
_z6=rowsum(6)
_z7=rowsum(7)
_z8=rowsum(8)
_z9=rowsum(9)

;HBW Table titles
if (_num=1)
    print list='print list=',"'",'<tr class="special-header-row"><td></td><td colspan=4>Highway Person Trips</td><td colspan=4>Highway Vehicle Trips</td><td></td><td colspan=2>Total</td></tr>',"',{PRINTO}", printo=1
    print list='print list=',"'",'<tr class="special-header-row"><td>CO</td><td>Drive Alone</td><td>Shared Ride 2</td><td>Shared Ride 3+</td><td>Person Total</td><td>Drive Alone</td><td>Shared Ride 2</td><td>Shared Ride 3+</td><td>Vehicle Total</td><td>Auto Occ.</td>',
               '<td>Transit Trips</td><td>Person Trips</td></tr>',"',{PRINTO}", printo=1

    print list='print list=',"'",'<tr class="special-header-row"><td></td><td colspan=16>Transit Trips</td></tr>',"',{PRINTO}", printo=2
    print list='print list=',"'",'<tr class="special-header-row"><td></td><td colspan=3>Walk</td><td colspan=3>Park and Ride</td><td colspan=3>Kiss and Ride</td></tr>',"',{PRINTO}", printo=2
    print list='print list=',"'",'<tr class="special-header-row"><td>CO</td><td>Local Bus</td><td>Premium</td><td>Walk Total</td>',
    '<td>Local Bus</td><td>Premium</td><td>PnR Total</td><td>Local Bus</td><td>Premium</td><td>KnR Total</td></tr>',"',{PRINTO}", printo=2
endif
;HBW Highway summary
print list='print list=',"'",'<tr class="content-right"><td class="content-left">',substr(_texth,(_num-1)*15+1,10),
    '</td><td>',_z1(10.0),'</td><td>',_z2(10.0),'</td><td>',_z3(10.0),'</td><td><font color=blue><b>',_z1+_z2+_z3(10.0),
    '</td><td>',_z1(10.0),'</td><td>',_z24(10.0),'</td><td>',_z25(10.0),'</td><td><font color=blue><b>',_z1+_z24+_z25(10.0),
    '</td><td><font color=green><b>',(_z1+_z2+_z3)/(_z1+_z24+_z25)(6.3),
    '</td><td><font color=green><b>',_z4+_z5+_z6+_z7+_z8+_z9(10.0),
    '</td><td><font color=red><b>', _z1+_z2+_z3+_z4+_z5+_z6+_z7+_z8+_z9(10.0),'</td></tr>',"',{PRINTO}", printo=1
;HBW Transit summary
print list='print list=',"'",'<tr class="content-right"><td class="content-left">',substr(_textt,(_num-1)*15+1,10),
    '</td><td>',_z4(10.0),'</td><td>',_z5(10.0),'</td><td><font color=blue><b>', _z4+_z5(10.0),
    '</td><td>',_z6(10.0),'</td><td>',_z7(10.0),'</td><td><font color=blue><b>',_z6+_z7(10.0),
    '</td><td>',_z8(10.0),'</td><td>',_z9(10.0),'</td><td><font color=blue><b>',_z8+_z9(10.0),'</td></tr>',"',{PRINTO}", printo=2

_t1=_t1+_z1
_t2=_t2+_z2
_t3=_t3+_z3
_t24=_t24+_z24
_t25=_t25+_z25

_t4=_t4+_z4
_t5=_t5+_z5
_t6=_t6+_z6
_t7=_t7+_z7
_t8=_t8+_z8
_t9=_t9+_z9

;Sum up trips
if (i=5) ;5 MPOs
print list='print list=',"'",'<tr class="content-right"><td class="content-left">',substr(_texth,(_num)*15+1,15),
    '</td><td>',_t1(10.0),'</td><td>',_t2(10.0),'</td><td>',_t3(10.0),'</td><td><font color=blue><b>',_t1+_t2+_t3(10.0),
    '</td><td>',_t1(10.0),'</td><td>',_t24(10.0),'</td><td>',_t25(10.0),'</td><td><font color=blue><b>',_t1+_t24+_t25(10.0),
    '</td><td><font color=green><b>',(_t1+_t2+_t3)/(_t1+_t24+_t25)(6.3),
    '</td><td><font color=green><b>',_t4+_t5+_t6+_t7+_t8+_t9(10.0),
    '</td><td><font color=red><b>', _t1+_t2+_t3+_t4+_t5+_t6+_t7+_t8+_t9(10.0),'</td></tr>',"',{PRINTO}", printo=1

print list='print list=',"'",'<tr class="content-right"><td class="content-left">',substr(_textt,(_num)*15+1,15),
    '</td><td>',_t4(10.0),'</td><td>',_t5(10.0),'</td><td><font color=blue><b>', _t4+_t5(10.0),
    '</td><td>',_t6(10.0),'</td><td>',_t7(10.0),'</td><td><font color=blue><b>',_t6+_t7(10.0),
    '</td><td>',_t8(10.0),'</td><td>',_t9(10.0),'</td><td><font color=blue><b>',_t8+_t9(10.0),'</td></tr>',"',{PRINTO}", printo=2
endif



ENDRUN
