;;<<PROCESS TEMPLATE>><<MATRIX>>;;
;{Title,note,12,"Convert a Binary Matrix File to DBF and CSV Files"}>>>
;{Description,note,10,"The script will convert a single Voyager table to CSV and DBF format"}>>>
;;{Example,note,8,"Example?"}>>>
;Input Matrix File 1:{mati1,filename,"Enter Input Matrix File Name",x,"","Matrix File (*.mat)|*.mat"}
;Output DBF File:{mato1,filename,"Enter Output DBF File Name",x,"","DBF File (*.dbf)|*.dbf"}
;Output CSV File:{mato2,filename,"Enter Output CSV File Name",x,"","CSV File (*.csv)|*.csv"}
;**********************************************************************
;THIS SCRIPT READS A MAT FILE, CREATE TWO MATRICS IN CSV AND DBF      *  
;**********************************************************************
; BY CITILABS
;
;;<<End Parameters>>;;


; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX MSG='Store MPO and County of TAZs in DBF File'
FILEO RECO[1] = "{SCENARIO_DIR}\output\mpocounty.dbf",
fields=taz,mpo,county
FILEI RECI = "{SCENARIO_DIR}\output\mpocounty.dat",
taz=1-5,mpo=6-10,county=11-15

RO.TAZ=RI.TAZ
ro.mpo=ri.mpo
ro.county=ri.county
write reco=1



ENDRUN
