; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="D:\Projects\Talahassee\TMT_3_25_10_Deliver\TransitModelTierBC_Deliver\TransitModelTierBC_Deliver\APPLICATIONS\TAMAT00A.PRN" MSG='Build zero loaded files'
FILEI DBI[2] = "{SCENARIO_DIR}\output\TLINKPK2_{alt}{year}.DBF"
FILEO RECO[2] = "{SCENARIO_DIR}\output\TLINKPK4_{alt}{year}.DBF"
FILEO RECO[1] = "{SCENARIO_DIR}\output\TLINKPK3_{alt}{year}.DBF"
FILEI DBI[1] = "{SCENARIO_DIR}\output\TLINKPK1_{alt}{year}.DBF"

; The MATRIX module does not have any explicit phases.  The module does run within an implied ILOOP
; where I is the origin zones.  All user statements in the module are processed once for each origin.
; Matrix computation (MW[#]=) are solved for all values of J for each I.  Thus for a given origin zone I
; the values for all destination zones J are automatically computed.  The user can control the computations
; at each J by using a JLOOP.

ZONES=1
loop k=1,DBI.1.NUMRECORDS
 x=DBIReadRecord(1,k)

 RO.A = DI.1.A
 RO.B=DI.1.B
 RO.MODE=DI.1.MODE
 RO.OPERATOR=DI.1.OPERATOR
 RO.NAME=DI.1.NAME
 RO.LONGNAME=DI.1.LONGNAME
 RO.DIST=DI.1.DIST
 RO.LINKSEQ=DI.1.LINKSEQ
 RO.STOPA=DI.1.STOPA
 RO.STOPB=DI.1.STOPB
 RO.TIME=DI.1.TIME

 RO.HEADWAY=DBI.1.NFIELD[10]
 RO.VOL=0
 RO.ONA=0
 RO.OFFA=0
 RO.ONB=0
 RO.OFFB=0
 RO.REV_VOL=0
 RO.REV_ONA=0
 RO.REV_ONB=0
 RO.REV_OFFA=0
 RO.REV_OFFB=0
 write reco=1

endloop

loop k=1,DBI.2.NUMRECORDS
 x=DBIReadRecord(2,k)

 RO.A = DI.2.A
 RO.B=DI.2.B
 RO.MODE=DI.2.MODE
 RO.OPERATOR=DI.2.OPERATOR
 RO.NAME=DI.2.NAME
 RO.LONGNAME=DI.2.LONGNAME
 RO.DIST=DI.2.DIST
 RO.LINKSEQ=DI.2.LINKSEQ
 RO.STOPA=DI.2.STOPA
 RO.STOPB=DI.2.STOPB
 RO.TIME=DI.2.TIME

 RO.HEADWAY=DBI.2.NFIELD[10]
 RO.VOL=0
 RO.ONA=0
 RO.OFFA=0
 RO.ONB=0
 RO.OFFB=0
 RO.REV_VOL=0
 RO.REV_ONA=0
 RO.REV_ONB=0
 RO.REV_OFFA=0
 RO.REV_OFFB=0
 write reco=2

endloop
ENDRUN
