;;<<PROCESS TEMPLATE>><<MATRIX>>;;
;{Title,note,12,"Convert Matrix Tables from Legacy to Voayger"}>>>
;{Description,note,10,"The script will convert tables from any legacy format to Voyager format"}>>>
;{Example,note,8,"Exemple: convert skim matrix from TRANPLAN to Voyager"}>>>
;Input Matrix File 1:{mati1,filename,"Enter Input Matrix FileName",x,"C:\TransitModel\Base\output\PSNTRIPS_A00.MAT","Matrix File (*.mat)|*.mat"}
;Output Matrix File:{mato1,filename,"Enter Output Matrix File Name",x,"C:\TransitModel\Base\output\PNTRIPS_A00.MAT","Matrix File (*.mat)|*.mat"}
;Legacy Format: {type,RadioBtn,"Chose Legacy format","TRANPLAN","TRIPS","TPP","MinUTP"} 
;Numbero of tables: {maxtab,EditBox,"Number of tables",,"4",}
;TRANPLAN Skim: {skim,RadioBtn,"Is it a TRANPLAN skim matrix?","T","F" 
;**********************************************************************
;THIS SCRIPT READS TABLES FROM A MATRIX FILE, AND CONVERT IN VOYAGER  *  
;**********************************************************************
; BY CITILABS
;
;;<<End Parameters>>;;
RUN PGM=MATRIX
FILEI MATI[1] = {mati1.q}

FILEO MATO[1] = {mato1.q},
      MO=1-{maxtab}, DEC=2


FILLMW MW[1]=mi.1.1({maxtab})

IF ('{type}'='Tranplan' & '{skim}'='T')
   loop k=1,{maxtab}
   MW[k]=MW[k]/100
   endloop
endif

ENDRUN

